### Hierarchy

- unknown
  - SetAutoSwitchRequest

## Index

### Constructors

- constructor

### Methods

- getAutoSwitch
- serializeBinary
- setAutoSwitch
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SetAutoSwitchRequest(): SetAutoSwitchRequest

- Inherited from jspb.Message.constructor

  #### Returns SetAutoSwitchRequest

## Methods

### getAutoSwitch

- getAutoSwitch(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1150

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1153

  #### Returns Uint8Array

### setAutoSwitch

- setAutoSwitch(value: boolean): SetAutoSwitchRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1151

  #### Parameters

  - ##### value: boolean

  #### Returns SetAutoSwitchRequest

### toObject

- toObject(includeInstance?: boolean): SetAutoSwitchRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1154

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SetAutoSwitchRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetAutoSwitchRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1157

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetAutoSwitchRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetAutoSwitchRequest, reader: BinaryReader): SetAutoSwitchRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1158

  #### Parameters

  - ##### message: SetAutoSwitchRequest

  - ##### reader: BinaryReader

  #### Returns SetAutoSwitchRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SetAutoSwitchRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1156

  #### Parameters

  - ##### message: SetAutoSwitchRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SetAutoSwitchRequest ): SetAutoSwitchRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1155

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetAutoSwitchRequest

  #### Returns SetAutoSwitchRequest . AsObject

Generated using TypeDoc